I have mac os x version 10.5.8(intel) and I want to run ilife 11 if i get the mac os x 10.6. snow leopard update will i be able to run ilife

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Yes you will, iLife 11' only supports 10.6 versions (Snow Leopard) and up, older versions will not be able to run the applications.

    Was this useful? Answer 1

    6 of 6 people found this useful

Related Questions